Paquetes para el soporte de Desarrollo de Software sobre DEBIAN 10

Paquetes para el soporte de Desarrollo de Software sobre DEBIAN 10

Paquetes para el soporte de Desarrollo de Software sobre DEBIAN 10

Esta publicación es la continuación (tercera parte) de los tutoriales dedicados a la Distro DEBIAN GNU/Linux, versión 10 (Buster), la cual sirve de base de muchas otras como MX-Linux 19 (Patito feo).

En esta tercera parte mostraremos los paquetes (aplicaciones) esenciales recomendados para proveer el necesario soporte básico para el desarrollo, prueba y ejecución de algunos software (aplicaciones) sobre nuestras hermosas y grandiosas Distros DEBIAN 10 y MX-Linux 19.

Actualizar y optimizar MX-Linux 19.0 y DEBIAN 10.2 después de instalar

Actualizar y optimizar MX-Linux 19.0 y DEBIAN 10.2 después de instalar

Los anteriores 2 publicaciones de esta serie son:

  • Actualizar y optimizar MX-Linux 19.0 y DEBIAN 10.2 después de instalar (Ver entrada)
  • DEBIAN 10: ¿Que paquetes extras son útiles para luego de instalar? (Ver entrada)
DEBIAN 10: ¿Que paquetes extras son útiles para luego de instalar?

DEBIAN 10: ¿Que paquetes extras son útiles para luego de instalar?

Recuerde y tenga presente que:

Recuerde que las acciones y los paquetes aquí recomendados para ejecutar e instalar son solo eso, “paquetes recomendados”, y quedá de cada uno, el ejecutarlos e instalarlos todos o algunos de ellos, por qué le son necesarios o útiles, a corto o mediano plazo, para conocerlos y usuarlos, al tenerlos ya ejecutados o instalados.

Y tengan presente que, estas acciones y/o paquetes fueron previamente probados en ambas Distros, y no solicitan desinstalar paquetes instalados por defecto en estas. Además, no incrementan el consumo de Memoria ni CPU ya que, no cargan procesos o demonios (servicios) en memoria por defecto. Para conocer previamente para que se usa cada paquete, haga clic aquí.

Actualizar MX-Linux y DEBIAN: Contenido

Paquetes para el soporte de Desarrollo de Software

Soporte para aplicaciones Java

apt install browser-plugin-freshplayer-pepperflash default-jdk icedtea-netx

Objetivo: Instalar el soporte básico para la compatibilidad con aplicaciones elaboradas con Java.

Soporte para aplicaciones QT5

apt install libqt5core5a qt5-default qt5-qmake qtbase5-dev-tools qttools5-dev-tools

Objetivo: Instalar el soporte básico para la compatibilidad con aplicaciones elaboradas con QT5.

Soporte para aplicaciones de Minería Digital

apt install autoconf automake autotools-dev build-essential byobu g++ gcc gcc-7 g++-7 git git-core libboost-dev libboost-all-dev libcrypto++-dev libcurl4 libdb-dev libdb++-dev libevent-dev libgmp-dev libgmp3-dev libhwloc-dev libjansson-dev libmicrohttpd-dev libminiupnpc-dev libncurses5-dev libprotobuf-dev libqrencode-dev libqt5gui5 libqtcore4 libqt5dbus5 libstdc++6 libssl-dev libusb-1.0-0-dev libtool libudev-dev make ocl-icd-opencl-dev openssl pkg-config protobuf-compiler qrencode qttools5-dev qttools5-dev-tools

Objetivo: Instalar el soporte básico de aplicaciones, controladores y librerías necesarios para la instalación y gestión de aplicaciones de Minería Digital.

apt install libdb++-dev libdb5.3++ libdb5.3++-dev

Objetivo: Instalar el soporte básico de librerías para programas que utilizan la biblioteca de base de datos Berkeley v5.3, muy usadas por aplicaciones de Minería Digital modernas para ser compiladas y/o ejecutadas.

Soporte para aplicaciones Web

Apache

apt install apache2

Objetivo: Instalar el soporte básico para aplicaciones web optimizadas o compatibles para Apache2.

Nginx

apt install nginx

Objetivo: Instalar el soporte básico para aplicaciones web optimizadas o compatibles para Nginx.

PostgreSQL

apt install postgresql

Objetivo: Instalar el soporte básico de comandos y funciones para el manejo de Bases de Datos basadas en Postgresql.

apt install pgadmin3 y phppgadmin

Objetivo: Instalar el soporte básico de aplicaciones para la gestión de Bases de Datos basadas en Postgresql.

MySQL

apt install mysql-server mysql-client

Objetivo: Instalar el soporte básico de comandos y funciones para el manejo de Bases de Datos basadas en MySQL.

apt install phpmyadmin y mysql-workbench

Objetivo: Instalar el soporte básico de aplicaciones para la gestión de Bases de Datos basadas en MySQL.

MariaDB

apt install mariadb-server mariadb-client

Objetivo: Instalar el soporte básico de comandos y funciones para el manejo de Bases de Datos basadas en MariaDB.

PHP

apt install php

Objetivo: Instalar el soporte básico de comandos y funciones para el manejo de aplicaciones basadas en PHP.

apt install php-cas php-cgi php-curl php-gd php-json php-mbstring php-mysql php-xml php-apcu php-cli php-dev php-imap php-ldap php-xmlrpc php-intl php-pgsql php-sqlite3 php-zip phpqrcode

Objetivo: Instalar el soporte básico de líbrerías nativas para el manejo de aplicaciones basadas en PHP.

apt install libmagic-dev libapache2-mod-php libcurl4-gnutls-dev

Objetivo: Instalar el soporte básico de líbrerías no nativas para el manejo de aplicaciones basadas en PHP.

PERL

apt install perl

Objetivo: Instalar el soporte básico de comandos y funciones para el manejo de aplicaciones basadas en PERL.

apt install libapache2-mod-perl2 y perlbrew

Objetivo: Instalar el soporte básico de líbrerías para el manejo de aplicaciones basadas en PERL.

Python

apt install python-all-dev python-pip

Objetivo: Instalar el soporte básico de comandos y funciones para el manejo de aplicaciones basadas en Python.

apt install python3-setuptools python3-pyqt5 python3-pip

Objetivo: Instalar el soporte básico de comandos y funciones para el manejo de aplicaciones basadas en Python3.

Imagen generica para conclusiones de artículos

Conclusión

Esperamos que esta pequeña y útil publicación sobre que paquetes esenciales son necesarios para proveer el soporte necesario para una correcta  «instalación y gestión» de ciertos desarrollos de software, sobre Distros «DEBIAN y MX-Linux», sea de mucho interés y utilidad, para toda la «Comunidad de Software Libre y Código Abierto» y de gran contribución a la difusión del maravilloso, gigantesco y creciente ecosistema de aplicaciones de y para «GNU/Linux».

Por ahora, si te ha gustado esta «publicación», no dejes de compartirla con otros, en tus sitios web, canales, grupos o comunidades favoritas de redes sociales, preferiblemente libres y abiertas como Mastodon, o seguras y privadas como Telegram.

O simplemente, visita nuestra página de inicio en DesdeLinux o únete al Canal oficial de Telegram de DesdeLinux para leer y votar por esta u otras interesantes publicaciones sobre «Software Libre», «Código Abierto», «GNU/Linux» y demás temas relacionados con la «Informática y la Computación», y la «Actualidad tecnológica».

2 comentarios, deja el tuyo

  1.   Twikzer dijo

    Corregirme si me equiboco, pero.. en debian, no quitaron phpmyadmin de los repositorios?
    y para instalar php, no tienes que especificar (por ejemplo) php7.3, o php7.3-curl

  2. ¡Saludos Twikzer! Gracias por tu comentario. Ciertamente phpmyadmin no está en los repositorios de DEBIAN 10 (Stable) pero si está en los Repositorios de DEBIAN 11 (Testing) por lo que asumo, que en algún momento lo incluirán como otros paquetes en los estables, pero puedes o pueden omitirlo, sin embargo, por eso lo deje ahí. Con respecto a lo segundo, no hace falta, ya que por su nombre genérico se llama a las versiones actuales dentro del repositorio.

Deja tu comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.